LibreOffice LibreOffice 6.1 SDK API Reference

Variables
com::sun::star::presentation::EffectNodeType Constant Group Reference

This constants defines a type for an animation effect node. More...

## Variables
const short | DEFAULT = 0
| This node has no special meaning. More...
const short | ON_CLICK = 1
| This node contains an effect that starts on click. More...
const short | WITH_PREVIOUS = 2
| This node contains an effect that starts with a previous effect. More...
const short | AFTER_PREVIOUS = 3
| This node contains an effect that starts after a previous effect has finished. More...
const short | MAIN_SEQUENCE = 4
| This is the main sequence for effects that is automatically started. More...
const short | TIMING_ROOT = 5
| This is the root sequence. More...
const short | INTERACTIVE_SEQUENCE = 6
| This is a sequence with effects that starts due to user interaction. More...

## Detailed Description

This constants defines a type for an animation effect node.

This is stored with the name node-type inside the com::sun::star::animations::XAnimationNode::UserData sequence.
This does not manipulate the timing or synchronization. It can be used to quickly identify semantic blocks inside an animation hierarchy.

See also
  com::sun::star::animations::XAnimationNode

## Variable Documentation

## ◆ AFTER_PREVIOUS

const short AFTER_PREVIOUS = 3

This node contains an effect that starts after a previous effect has finished.

## ◆ DEFAULT

const short DEFAULT = 0

This node has no special meaning.

## ◆ INTERACTIVE_SEQUENCE

const short INTERACTIVE_SEQUENCE = 6

This is a sequence with effects that starts due to user interaction.

## ◆ MAIN_SEQUENCE

const short MAIN_SEQUENCE = 4

This is the main sequence for effects that is automatically started.

## ◆ ON_CLICK

const short ON_CLICK = 1

This node contains an effect that starts on click.

## ◆ TIMING_ROOT

const short TIMING_ROOT = 5

This is the root sequence.

## ◆ WITH_PREVIOUS

const short WITH_PREVIOUS = 2

This node contains an effect that starts with a previous effect.